
package org.mule.module.pubnub.config;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>PubNubModuleCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.pubnub.PubNubModule } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class PubNubModuleCapabilitiesAdapter
    extends org.mule.module.pubnub.PubNubModule
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
